language: perl
os:
  - linux
#  - osx    #doesn’t install the correct perl
perl:
  - "5.28"
  - "5.26"
  - "5.24"
  - "5.22"
  - "5.20"
  - "5.18"
  - "5.16"
  - "5.14"
  - "5.12"
  - "5.10"
  - "5.8"
matrix:
  include:
    - os: osx
      perl: system
      before_install:
        - "curl -L http://cpanmin.us | perl - --self-upgrade"
        - export PATH=$PATH:$HOME/perl5/bin
        - "cpanm --local-lib=~/perl5 local::lib && eval $(perl -I ~/perl5/lib/perl5/ -Mlocal::lib)"